/***************************************************************************

    Bandai WonderSwan / WonderSwan Color cartridges

***************************************************************************/

#include "emu.h"
#include "softlist.h"
#include "devices/cartslot.h"


#define WSWAN_ROM_LOAD( set, name, offset, length, hash )	\
SOFTWARE_START( set ) \
	ROM_REGION( 0x100000, CARTRIDGE_REGION_ROM, ROMREGION_ERASEFF ) \
	ROM_LOAD(name, offset, length, hash) \
SOFTWARE_END

/* Wonderswan */
WSWAN_ROM_LOAD( anchorz,  "anchorz field (japan).bin",                                                                  0x000000,  0x100000,	 CRC(425eb893) SHA1(06447c248afce04c4f4a1c3b5f7a4ab6f383c94b) )
WSWAN_ROM_LOAD( armrunit, "armored unit (japan).bin",                                                                   0x000000,  0x80000,	 CRC(c11639af) SHA1(ae5e4f06f07fe13a48f414a1cd437a816e9ad2e7) )
WSWAN_ROM_LOAD( bakusoud, "bakusou dekotora densetsu for wonderswan (japan).bin",                                       0x000000,  0x200000,	 CRC(392dd813) SHA1(821bb81917445b63ac663c706ab4ce27de28543f) )
WSWAN_ROM_LOAD( bemaniws, "beatmania for wonderswan (japan).bin",                                                       0x000000,  0x1000000,	 CRC(324622c9) SHA1(544e76133fa53fc0ae5e00e3465b9cf634f14fd0) )
WSWAN_ROM_LOAD( buffers,  "buffers evolution (japan).bin",                                                              0x000000,  0x400000,	 CRC(b25a0635) SHA1(35eea568f756bacf533bb9aaad7e3239ba00e411) )
WSWAN_ROM_LOAD( ccsakura, "cardcaptor sakura - sakura to fushigi na clow card (japan).bin",                             0x000000,  0x200000,	 CRC(7f3a14c0) SHA1(39e9a897b681b2c326b052827d7c534f22290286) )
WSWAN_ROM_LOAD( chaosgea, "chaos gear - michibikareshi mono (japan).bin",                                               0x000000,  0x200000,	 CRC(27b3cc18) SHA1(e212bba4fac51bbfcf440966da0e67b1686dcfc5) )
WSWAN_ROM_LOAD( chocodun, "chocobo no fushigi na dungeon for wonderswan (japan).bin",                                   0x000000,  0x200000,	 CRC(ccaa4853) SHA1(3b62fd2841602f1077270848ab7a3aad58712ee9) )
WSWAN_ROM_LOAD( chouanik, "chou aniki - otoko no tamafuda (japan).bin",                                                 0x000000,  0x100000,	 CRC(7fff2520) SHA1(eb538b82c5516fae8ce38778e41fb118aa5c830f) )
WSWAN_ROM_LOAD( choudenk, "chou denki card game - youfu makai - kikuchi shuukou (japan).bin",                           0x000000,  0x200000,	 CRC(56e2c069) SHA1(c4436a59fd830ba6af2d63462f71e1ab1cfa3212) )
WSWAN_ROM_LOAD( clocktow, "clock tower for wonderswan (japan).bin",                                                     0x000000,  0x200000,	 CRC(a9936941) SHA1(4ba44f23d3b43ee730ce34d56f4cadaf429b6d1b) )
WSWAN_ROM_LOAD( cclimber, "crazy climber (japan).bin",                                                                  0x000000,  0x80000,	 CRC(c995274b) SHA1(67a80b7fb00c3afe0ce9b0f8975c6d250a2cd49d) )
WSWAN_ROM_LOAD( dsgarage, "d's garage 21 koubo game - tane o maku tori (japan).bin",                                    0x000000,  0x100000,	 CRC(b1caec06) SHA1(83e190af2e25fbb3e93b1d5835c52fe6f1d279ce) )
WSWAN_ROM_LOAD( denshadg, "densha de go! (japan).bin",                                                                  0x000000,  0x400000,	 CRC(b62e5dd0) SHA1(d3da0ae529c6f78162682141154a95879f288ca7) )
WSWAN_ROM_LOAD( denshad2, "densha de go! 2 (japan).bin",                                                                0x000000,  0x400000,	 CRC(af9d8f42) SHA1(c07f776ac4374b648d1a49efd9d6fcd0db2ac1fa) )
WSWAN_ROM_LOAD( digimon1, "digimon - ver. wonderswan (asia).bin",                                                       0x000000,  0x200000,	 CRC(94ea6ffc) SHA1(5cc59ec1687fe83ec5fb048d3dfc37849747df34) )
WSWAN_ROM_LOAD( digianod, "digimon adventure - anode tamer (japan).bin",                                                0x000000,  0x200000,	 CRC(6e9dd148) SHA1(9db54826c2887dea07aac774bd15e092596e37af) )
WSWAN_ROM_LOAD( digicatd, "digimon adventure - cathode tamer (japan).bin",                                              0x000000,  0x200000,	 CRC(42ad238b) SHA1(0b54cc1d350ab92c42ce8214784389b994562bf6) )
WSWAN_ROM_LOAD( digi2tag, "digimon adventure 02 - tag tamers (japan).bin",                                              0x000000,  0x200000,	 CRC(6ededaf8) SHA1(44a5502b70ea75926b87377e3f634c8093bc574a) )
WSWAN_ROM_LOAD( digimon,  "digital monster - ver. wonderswan (japan).bin",                                              0x000000,  0x200000,	 CRC(ab59de2e) SHA1(ecea24db6e65254ab4d6e312de0eb951c7df716f) )
WSWAN_ROM_LOAD( digipart, "digital partner (japan).bin",                                                                0x000000,  0x200000,	 CRC(b5e675ae) SHA1(c622f6742ca3f0129fc12dce0a1c17d292388ffb) )
WSWAN_ROM_LOAD( dokodemo, "dokodemo hamster (japan).bin",                                                               0x000000,  0x100000,	 CRC(89e7d950) SHA1(3d5a1ed77e721908eb1145aaedef17c0ee6355ae) )
WSWAN_ROM_LOAD( engacho,  "engacho! for wonderswan (japan).bin",                                                        0x000000,  0x100000,	 CRC(4e467626) SHA1(f79451034b6d844f0e10c825306bbc26f26a5466) )
WSWAN_ROM_LOAD( feversan, "fever - sankyo koushiki pachinko simulation for wonderswan (japan).bin",                     0x000000,  0x200000,	 CRC(8922dd0b) SHA1(f26b0215c49e04cb8ef6f031b627dff6a49d2015) )
WSWAN_ROM_LOAD( flap2000, "final lap 2000 (japan).bin",                                                                 0x000000,  0x100000,	 CRC(ce2f1a1d) SHA1(cfcb14be6d2f1dbffdfcefb8c8d83b4f39bc102b) )
WSWAN_ROM_LOAD( fprowres, "fire pro wrestling for wonderswan (japan).bin",                                              0x000000,  0x400000,	 CRC(f246a68e) SHA1(fbb745b016cc710ff6f82ec3091a181415d8de61) )
WSWAN_ROM_LOAD( fishingf, "fishing freaks - bass rise for wonderswan (japan).bin",                                      0x000000,  0x100000,	 CRC(a1fb16fc) SHA1(f8f077da30f227f3793e97c7f1d656559f08b9d4) )
WSWAN_ROM_LOAD( onepmeza, "from tv animation one piece - mezase kaizoku ou! (japan).bin",                               0x000000,  0x100000,	 CRC(f2e362b8) SHA1(99c831c27c478064e3d3fa8f9f089cc28f0e946f) )
WSWAN_ROM_LOAD( gjajamar, "ganso jajamaru-kun (japan).bin",                                                             0x000000,  0x80000,	 CRC(a193458c) SHA1(cbf6455e89b20a000b6121e5c485be1a20d1f726) )
WSWAN_ROM_LOAD( glochex,  "glocal hexcite (japan).bin",                                                                 0x000000,  0x80000,	 CRC(8fcd6d2c) SHA1(e100d54e5c63512dbd655f0439870e08ced439dd) )
WSWAN_ROM_LOAD( gomokuna, "gomoku narabe & reversi - touryuumon (japan).bin",                                           0x000000,  0x80000,	 CRC(6cd1411e) SHA1(867f23963e33b26a781aa96851748e483e41fcad) )
WSWAN_ROM_LOAD( gorakuta, "goraku ou tango! (japan).bin",                                                               0x000000,  0x100000,	 CRC(00137e86) SHA1(af3fe9da3f5ee0f5a7b06b0440223db88fcb3bf2) )
WSWAN_ROM_LOAD( gunpey,   "gunpey (japan).bin",                                                                         0x000000,  0x100000,	 CRC(a1656bbb) SHA1(ee4b777f029bac9561e60c19407d08360e733822) )
WSWAN_ROM_LOAD( hanafuda, "hanafuda shiyouyo (japan).bin",                                                              0x000000,  0x80000,	 CRC(8e027330) SHA1(4504b62212e1637dfd92e4f985a8497fa38941cd) )
WSWAN_ROM_LOAD( harobots, "harobots (japan).bin",                                                                       0x000000,  0x200000,	 CRC(aa525c04) SHA1(1f42c5694a798de8ff3c68f63dfc7395be1669a5) )
WSWAN_ROM_LOAD( hxhishi,  "hunter x hunter - ishi o tsugu mono (japan).bin",                                            0x000000,  0x400000,	 CRC(70aa800e) SHA1(57b4278fc5812f52413ca65f45225922d4f2ec3d) )
WSWAN_ROM_LOAD( itoujunj, "itou junji uzumaki - noroi simulation (japan).bin",                                          0x000000,  0x200000,	 CRC(ca3f0b00) SHA1(38f708a4c0c4fcec0cf4d6ce051d1ff76466d617) )
WSWAN_ROM_LOAD( kakutour, "kakutou ryouri densetsu bistro recipe - wonder battle hen (japan).bin",                      0x000000,  0x100000,	 CRC(4d103236) SHA1(b40fbc7b72921c9ac31330831c0f77e4133ec7d6) )
WSWAN_ROM_LOAD( klonoa,   "kaze no klonoa - moonlight museum (japan).bin",                                              0x000000,  0x100000,	 CRC(80c6ef12) SHA1(207a3ceb9a09eabca6e455deeb7035e7e04c9795) )
WSWAN_ROM_LOAD( keibayos, "keiba yosou shien soft - yosou shinkaron (japan).bin",                                       0x000000,  0x80000,	 CRC(945fc213) SHA1(461f87e6e301b0dbb6324d908d4ca7efd7518e20) )
WSWAN_ROM_LOAD( kissyori, "kiss yori... - seaside serenade (japan).bin",                                                0x000000,  0x200000,	 CRC(3b4c60c6) SHA1(9ef89b6fe68c5a06d34344e8c783ec24114ad959) )
WSWAN_ROM_LOAD( kosodate, "kosodate quiz dokodemo - my angel (japan).bin",                                              0x000000,  0x200000,	 CRC(4c48624c) SHA1(52b154a3e36d01357649a9f7f614139ce6cc46b8) )
WSWAN_ROM_LOAD( kyousoub, "kyousouba ikusei simulation - keiba (japan).bin",                                            0x000000,  0x100000,	 CRC(ecfbcb1d) SHA1(a309a430fbbed6c42f41d8ccaf4aba82e96d6a7b) )
WSWAN_ROM_LOAD( langriss, "langrisser millennium ws - the last century (japan).bin",                                    0x000000,  0x100000,	 CRC(9e0854e2) SHA1(9fdf3f5821f2a4488139525fe49e87b23de4571f) )
WSWAN_ROM_LOAD( laststnd, "last stand (japan).bin",                                                                     0x000000,  0x200000,	 CRC(cccaf8a1) SHA1(d524da01f2bfad92c2fa080950229955a3030ef2) )
WSWAN_ROM_LOAD( loderun,  "lode runner for wonderswan (japan).bin",                                                     0x000000,  0x80000,	 CRC(e407cabf) SHA1(91595cd5d5192db50eda883157852ff81994990c) )
WSWAN_ROM_LOAD( macross,  "macross - true love song (japan).bin",                                                       0x000000,  0x400000,	 CRC(62d419cd) SHA1(211e051db3fd4d7ae1ea143e043f87cfbcec5f1c) )
WSWAN_ROM_LOAD( magdrop,  "magical drop for wonderswan (japan).bin",                                                    0x000000,  0x100000,	 CRC(637ada93) SHA1(a25944969068ee495254f94c2c48dfffcb66ce8d) )
WSWAN_ROM_LOAD( mahjongt, "mahjong touryuumon (japan).bin",                                                             0x000000,  0x100000,	 CRC(e7e7fd4c) SHA1(281079b22cb213ee4dda5c304b5b5be028130929) )
WSWAN_ROM_LOAD( makai,    "makaimura for wonderswan (japan).bin",                                                       0x000000,  0x200000,	 CRC(00b31fbb) SHA1(5eaeab859e5f647fac354dad285a311387ea126b) )
WSWAN_ROM_LOAD( medpkabu, "medarot perfect edition - kabuto version (japan).bin",                                       0x000000,  0x100000,	 CRC(12fb8b28) SHA1(509e5748e5efdfb56093c78ae886153dd1838215) )
WSWAN_ROM_LOAD( medpkuwa, "medarot perfect edition - kuwagata version (japan).bin",                                     0x000000,  0x100000,	 CRC(2b40745d) SHA1(315061e4739e947175d6ad7f006498cd61a33f8c) )
WSWAN_ROM_LOAD( mconan1,  "meitantei conan - majutsushi no chousenjou! (japan).bin",                                    0x000000,  0x100000,	 CRC(92fbf7fb) SHA1(8f3f97be31f3bd0e6922ab7795aa6f04bc5cfe2a) )
WSWAN_ROM_LOAD( mconan2,  "meitantei conan - nishi no meitantei saidai no kiki! (japan).bin",                           0x000000,  0x200000,	 CRC(e226863b) SHA1(e5684789e81f9d739010db575022a12a448b5509) )
WSWAN_ROM_LOAD( mtherapy, "metakomi theraphy - nee kiite! (japan).bin",                                                 0x000000,  0x200000,	 CRC(a3ead689) SHA1(dc94e17a942acfdc1eb0c38d91bf72460a4bb8f9) )
WSWAN_ROM_LOAD( mingmagn, "mingle magnet (japan).bin",                                                                  0x000000,  0x80000,	 CRC(9baac7bb) SHA1(c7230ef709f6ceaef9a220541c8cdc05c0cd549f) )
WSWAN_ROM_LOAD( gundmsvs, "mobile suit gundam msvs (japan).bin",                                                        0x000000,  0x200000,	 CRC(53b9fef8) SHA1(2688ca67ac31ce3d5c3523b0e11cad55e70fa257) )
WSWAN_ROM_LOAD( mobilewg, "mobilewondergate (japan).bin",                                                               0x000000,  0x200000,	 CRC(80de367d) SHA1(92d4a6ff6f2b1152d8935025f38f910155e5d709) )
WSWAN_ROM_LOAD( moeropro, "moero!! pro yakyuu rookies (japan).bin",                                                     0x000000,  0x100000,	 CRC(eb995e86) SHA1(e88e659cc04fc08a04b8c881f62fe086c5cdab06) )
WSWAN_ROM_LOAD( moritash, "morita shougi for wonderswan (japan).bin",                                                   0x000000,  0x80000,	 CRC(b159c30d) SHA1(d70fbc6be9a9a0f12cea8a9f7c98aa415e41aafd) )
WSWAN_ROM_LOAD( nazoou,   "nazo ou pocket (japan).bin",                                                                 0x000000,  0x100000,	 CRC(4ed8820c) SHA1(b358c65bae818c4b3de6bf668d16c311534036c2) )
WSWAN_ROM_LOAD( evangeln, "neon genesis evangelion - shito ikusei (japan).bin",                                         0x000000,  0x200000,	 CRC(bf8d9212) SHA1(ae31488cee1c91f383efbe3083b4abec092dda36) )
WSWAN_ROM_LOAD( niceon,   "nice on (japan).bin",                                                                        0x000000,  0x100000,	 CRC(b5dbcf12) SHA1(6a479ee45e69cd3d6cc6cdda5a60eff3077953b0) )
WSWAN_ROM_LOAD( mjtetsu,  "nippon pro mahjong renmei kounin tetsuman (japan).bin",                                      0x000000,  0x100000,	 CRC(44b3e67c) SHA1(4eefc5a51008c2ab33e8d04064ec9bdcbc03d036) )
WSWAN_ROM_LOAD( nobunaga, "nobunaga no yabou for wonderswan (japan).bin",                                               0x000000,  0x80000,	 CRC(c1734309) SHA1(b143cece1e7db9d9f660f4e9ca3a95b02a71dcd3) )
WSWAN_ROM_LOAD( oekakil,  "ou-chan no oekaki logic (japan).bin",                                                        0x000000,  0x80000,	 CRC(631bd97a) SHA1(0f73d3112b1184f74e728cf1252ffbee6a146fa6) )
WSWAN_ROM_LOAD( pocketfi, "pocket fighter (japan).bin",                                                                 0x000000,  0x200000,	 CRC(35361250) SHA1(fb8d0f4e58a4192989ec71eb6e392d182aaa3eec) )
WSWAN_ROM_LOAD( mjkiwame, "pro mahjong kiwame for wonderswan (japan).bin",                                              0x000000,  0x100000,	 CRC(90f7e6d6) SHA1(32013a7a745a3aa2fd63cc9427c5e1f2635655ed) )
WSWAN_ROM_LOAD( puyopuyo, "puyo puyo tsuu (japan).bin",                                                                 0x000000,  0x100000,	 CRC(5a41a7ba) SHA1(d72c1221c2ce3e281a0ee288a3d079aa8e1b714b) )
WSWAN_ROM_LOAD( pbobble,  "puzzle bobble (japan).bin",                                                                  0x000000,  0x80000,	 CRC(302499b9) SHA1(5e7dabb66b0ca580481aa79ee8b8a5b0c6ce6592) )
WSWAN_ROM_LOAD( rainbow,  "rainbow islands - putty's party (japan).bin",                                                0x000000,  0x200000,	 CRC(8f8608ad) SHA1(759deb79a3fc3befed705d7264e4b88adbadacc7) )
WSWAN_ROM_LOAD( ring,     "ring infinity (japan).bin",                                                                  0x000000,  0x400000,	 CRC(14adbd4b) SHA1(9896d93c97381dc06b6f044de6c9bd112ca0c94b) )
WSWAN_ROM_LOAD( robworks1, "robot works (asia) (en,ja).bin",                                                            0x000000,  0x100000,	 CRC(be6be690) SHA1(2117ed92e8cb4ae61868535f1d4d16851b480890) )
WSWAN_ROM_LOAD( robworks, "robot works (japan).bin",                                                                    0x000000,  0x100000,	 CRC(6adf0e32) SHA1(4d4d4a3fde6b1dbbc8f008fbd035fb59624dfba7) )
WSWAN_ROM_LOAD( rockmanf, "rockman & forte - mirai kara no chousensha (japan).bin",                                     0x000000,  0x200000,	 CRC(cd206a9e) SHA1(9f8829aa8ea523e8370cbb2acd2acce056bb7958) )
WSWAN_ROM_LOAD( sangoku,  "san goku shi for wonderswan (japan).bin",                                                    0x000000,  0x80000,	 CRC(e385ee88) SHA1(d064b94f31b15564c9a3dbd3a68690244ea043ac) )
WSWAN_ROM_LOAD( sangoku2, "san goku shi ii for wonderswan (japan).bin",                                                 0x000000,  0x80000,	 CRC(812b720d) SHA1(59d904149c3f405357b2715468d509095388a194) )
WSWAN_ROM_LOAD( sdgundem, "sd gundam - emotional jam (japan).bin",                                                      0x000000,  0x200000,	 CRC(ae83f873) SHA1(ae54a1f8916a2d37a1e0c82c5a9b5d8fe0eeae51) )
WSWAN_ROM_LOAD( sdgundgg, "sd gundam g-generation - gather beat (japan).bin",                                           0x000000,  0x400000,	 CRC(e4eb3ab1) SHA1(5e5db8b066e1b41c5c12a2d4ffa97b73ed6c3f03) )
WSWAN_ROM_LOAD( sdgundga, "sd gundam gashapon senki - episode 1 (japan).bin",                                           0x000000,  0x100000,	 CRC(21eb4c59) SHA1(e6899de5b53f73c8978e3330dca0f2daaf95f140) )
WSWAN_ROM_LOAD( senkai,   "senkaiden - tv animation senkaiden houshin engi yori (japan).bin",                           0x000000,  0x200000,	 CRC(07a3dd46) SHA1(fc8b0b9b7efeac54812e7ae54153b7ae0cb9c12f) )
WSWAN_ROM_LOAD( sennoumi, "sennou millennium (japan).bin",                                                              0x000000,  0x100000,	 CRC(301436ac) SHA1(708288e70b3186f6c0ef07acaef1b50fe6b7ab22) )
WSWAN_ROM_LOAD( shanghai, "shanghai pocket (japan).bin",                                                                0x000000,  0x80000,	 CRC(1c489351) SHA1(d64b9b2d567d1cea5960f64e5bdf83d4514446da) )
WSWAN_ROM_LOAD( shinpwre, "shin nippon pro wrestling toukon retsuden (japan).bin",                                      0x000000,  0x100000,	 CRC(5b76f901) SHA1(7324c5939b8b64858c96bd9726f5b5c483a11e22) )
WSWAN_ROM_LOAD( shougito, "shougi touryuumon (japan).bin",                                                              0x000000,  0x80000,	 CRC(fff1c0d6) SHA1(c42339590a6d7864cb4f5728b84c4cce09779f0a) )
WSWAN_ROM_LOAD( sidepock, "side pocket for wonderswan (japan).bin",                                                     0x000000,  0x100000,	 CRC(8655269e) SHA1(4a756dab81e0101475dc2e5494270f3df7dac1e6) )
WSWAN_ROM_LOAD( slitherl, "slither link (japan).bin",                                                                   0x000000,  0x80000,	 CRC(f00a0330) SHA1(3e31beaca985ac5041c6e95e0d07f163168e190d) )
WSWAN_ROM_LOAD( soccerya, "soccer yarou! - challenge the world (japan).bin",                                            0x000000,  0x80000,	 CRC(d7438e58) SHA1(6eec04244f4d85807988a2331e7031d0c3549646) )
WSWAN_ROM_LOAD( sotsugyo, "sotsugyou for wonderswan (japan).bin",                                                       0x000000,  0x200000,	 CRC(f016dfe1) SHA1(e461762566d529d1b103f119da50353902d180d7) )
WSWAN_ROM_LOAD( spaceinv, "space invaders (japan).bin",                                                                 0x000000,  0x100000,	 CRC(8d83014f) SHA1(54dd6e3fe81a8a384a0ffdd7a39211a5de9174c7) )
WSWAN_ROM_LOAD( robotws,  "super robot taisen compact (japan).bin",                                                     0x000000,  0x200000,	 CRC(7021d54f) SHA1(e93d58ab5819992e54223f5d1c4d5aeb6983d6a3) )
WSWAN_ROM_LOAD( robotc2a, "super robot taisen compact 2 - dai-1-bu - chijou gekidou hen (japan).bin",                   0x000000,  0x400000,	 CRC(782877bc) SHA1(e6911e5bb0a742ba299e05b20ee81f2faa4854a5) )
WSWAN_ROM_LOAD( robotc2b, "super robot taisen compact 2 - dai-2-bu - uchuu gekishin hen (japan).bin",                   0x000000,  0x400000,	 CRC(ecbb46de) SHA1(6014ac0b8978e710f26c9cc41180cdf788584743) )
WSWAN_ROM_LOAD( robotc2c, "super robot taisen compact 2 - dai-3-bu - ginga kessen hen (japan).bin",                     0x000000,  0x400000,	 CRC(0b0f8981) SHA1(d24d8cea57c5c487e877eaa523eefb0dd184556d) )
WSWAN_ROM_LOAD( taikyigo, "taikyoku igo - heisei kiin (japan).bin",                                                     0x000000,  0x100000,	 CRC(50b7a742) SHA1(be4559d6f48d7cb9550c8776f877c5c9cda0efa1) )
WSWAN_ROM_LOAD( tanjoude, "tanjou debut for wonderswan (japan).bin",                                                    0x000000,  0x200000,	 CRC(8b74f59a) SHA1(2f35d250b8ddeb98ca3a2704a4ad85713f4c71b0) )
WSWAN_ROM_LOAD( tpgunpey, "tare panda no gunpey (japan).bin",                                                           0x000000,  0x100000,	 CRC(a5643aa3) SHA1(9622c65c939f05a9dfae288919ec5bd15c348f14) )
WSWAN_ROM_LOAD( tekkncrd, "tekken card challenge (japan).bin",                                                          0x000000,  0x100000,	 CRC(e7c608e5) SHA1(96a9ce5e56dc0c9648027ad4454e6f35e88d9a07) )
WSWAN_ROM_LOAD( terrors,  "terrors (japan).bin",                                                                        0x000000,  0x400000,	 CRC(ef5b6b82) SHA1(7148d750f12b5da9a0efd99f5a5a7ccadecbdf60) )
WSWAN_ROM_LOAD( tetsu28g, "tetsujin 28 gou (japan).bin",                                                                0x000000,  0x400000,	 CRC(6f304dca) SHA1(65c4c6aaa36328bba5d56419af59af5d3420ed78) )
WSWAN_ROM_LOAD( timeboka, "time bokan series - bokan densetsu - butamo odaterya doronbou (japan).bin",                  0x000000,  0x100000,	 CRC(7da6acb9) SHA1(ad77d2e8429d5ed926d514d926050086f4edbeee) )
WSWAN_ROM_LOAD( tokyomg,  "tokyo majin gakuen - fuju houroku (japan).bin",                                              0x000000,  0x800000,	 CRC(91117d1b) SHA1(866c67737a4fbb5f09a0b13bbdb89397bcab1f55) )
WSWAN_ROM_LOAD( trumpcol, "trump collection - bottom-up teki trump seikatsu (japan).bin",                               0x000000,  0x80000,	 CRC(07a3b862) SHA1(ab3c925bf1bfd36403335af0c0365be8a2950ca8) )
WSWAN_ROM_LOAD( trumpcl2, "trump collection 2 - bottom-up teki sekaiisshuu no tabi (japan).bin",                        0x000000,  0x100000,	 CRC(64aaf392) SHA1(b25ff8fc79168e439ba913a2cea6195094be9ac2) )
WSWAN_ROM_LOAD( turntabl, "turntablist - dj battle (japan).bin",                                                        0x000000,  0x400000,	 CRC(0d5171f0) SHA1(858f1f57b5522a1701cc8a0abae43cec948e26a6) )
WSWAN_ROM_LOAD( umizuri,  "umizuri ni ikou! (japan).bin",                                                               0x000000,  0x80000,	 CRC(86b56511) SHA1(4f739292d11a45490851eaf40c0a7081824ad75a) )
WSWAN_ROM_LOAD( uzumaki,  "uzumaki - denshi kaiki hen (japan).bin",                                                     0x000000,  0x200000,	 CRC(812020ef) SHA1(4c8166e0632bdb8c098d586a7b1522ed7b63b5f7) )
WSWAN_ROM_LOAD( vaitzbla, "vaitz blade (japan).bin",                                                                    0x000000,  0x400000,	 CRC(8fc9e145) SHA1(cfb877f0988920c8fe4da5cdd7583197799df621) )
WSWAN_ROM_LOAD( streetdn, "wasabi produce - street dancer (japan).bin",                                                 0x000000,  0x400000,	 CRC(1860b655) SHA1(672cfc0e4547b2721d11b67476391b6e6cca81ae) )
WSWAN_ROM_LOAD( wstad99,  "wonder stadium '99 (japan).bin",                                                             0x000000,  0x100000,	 CRC(e252919d) SHA1(bb138765346d9f4d77615444d090b1328a59818a) )
WSWAN_ROM_LOAD( wstadium, "wonder stadium (japan).bin",                                                                 0x000000,  0x100000,	 CRC(23bc0309) SHA1(cb9454a8277bb2a7d5a6e3b4ddc84194fcbb1231) )
WSWAN_ROM_LOAD( handsonr, "wonderswan handy sonar (japan).bin",                                                         0x000000,  0x100000,	 CRC(2ab9852d) SHA1(70d65a936ee1dfc2b89c543312c205285d955efb) )


/* Wonderswan Color */
WSWAN_ROM_LOAD( alcheme,  "alchemist marie & elie - futari no atelier (japan).bin",                                    0x000000,  0x400000,	 CRC(b18cdc0d) SHA1(99d9d7f951ae589059f34e76aea7489ae4cd79f1) )
WSWAN_ROM_LOAD( anotherh, "another heaven - memory of those days (japan).bin",                                         0x000000,  0x400000,	 CRC(d7a0ab74) SHA1(caf4a8de853ded732b2a72619acf2784eeceafc7) )
WSWAN_ROM_LOAD( arclad,   "arc the lad - kishin fukkatsu (japan).bin",                                                 0x000000,  0x800000,	 CRC(e2317345) SHA1(68981c05d8118d4189100eed462ee6639328dc59) )
WSWAN_ROM_LOAD( battlesp, "battle spirit - digimon frontier (japan).bin",                                              0x000000,  0x400000,	 CRC(8ba49dab) SHA1(fffb1aea34e0a96113cd10ba9de515000d27bfe6) )
WSWAN_ROM_LOAD( bluewing, "blue wing blitz (japan).bin",                                                               0x000000,  0x200000,	 CRC(99027238) SHA1(02103fc5fc97c3a38834ced32a3cfe6523832535) )
WSWAN_ROM_LOAD( darkeyes, "dark eyes - battle gate (japan).bin",                                                       0x000000,  0x400000,	 CRC(12ae932c) SHA1(c2188171dc0f78fb6a13bbb55b4e85bdf7b82fd5) )
WSWAN_ROM_LOAD( dicing,   "dicing knight. (japan).bin",                                                                0x000000,  0x80000,	 CRC(d28dc930) SHA1(79658575c736fcad18e9225aa0e62398b086093b) )
WSWAN_ROM_LOAD( digianca, "digimon - anode tamer & cathode tamer (asia).bin",                                          0x000000,  0x400000,	 CRC(77689273) SHA1(7a6411cf8a4d91e8a4e0532779f11bdd25b92363) )
WSWAN_ROM_LOAD( digi2d1,  "digimon adventure 02 - d1 tamers (japan).bin",                                              0x000000,  0x400000,	 CRC(4d28637e) SHA1(18d3dfe25d82964ab7bb61af363d368fd12f4d4b) )
WSWAN_ROM_LOAD( digitbs1, "digimon tamers - battle spirit (japan) (en,ja).bin",                                        0x000000,  0x400000,	 CRC(c927bfcb) SHA1(757e92177385a14d979227edee1cb544b4c56bd6) )
WSWAN_ROM_LOAD( digitbs,  "digimon tamers - battle spirit ver. 1.5 (japan).bin",                                       0x000000,  0x800000,	 CRC(6caad4a2) SHA1(3f39ff494a3d8dd9d55a2e7cf86b47f1c8e8a156) )
WSWAN_ROM_LOAD( digitbt,  "digimon tamers - brave tamer (japan).bin",                                                  0x000000,  0x400000,	 CRC(f1f4d41f) SHA1(31a718cfbcff2dab56ab9606a0b5b2dfccecbbcb) )
WSWAN_ROM_LOAD( digitmed, "digimon tamers - digimon medley (japan).bin",                                               0x000000,  0x400000,	 CRC(fa92418d) SHA1(8638737e5a35c6be05a888dc81e504e0d80fd756) )
WSWAN_ROM_LOAD( digimdp,  "digital monster - d-project (japan).bin",                                                   0x000000,  0x400000,	 CRC(faaefbcb) SHA1(3e8fffe1f607ea5f855397d9d877cecb285507f7) )
WSWAN_ROM_LOAD( digicard, "digital monster card game - ver. wonderswan color (japan).bin",                             0x000000,  0x400000,	 CRC(603cb5e6) SHA1(ba16a0770f7a71dd49e2879799fd04a4f04f7e60) )
WSWAN_ROM_LOAD( dokodem3, "dokodemo hamster 3 - odekake saffron (japan).bin",                                          0x000000,  0x200000,	 CRC(93e19f13) SHA1(66b4bd15ef67dc324736a1cc78d6aca335f03389) )
WSWAN_ROM_LOAD( dragball, "dragon ball (japan).bin",                                                                   0x000000,  0x200000,	 CRC(067238d1) SHA1(5384f9974c66e5e26129a4709976de0bb1ae1f17) )
WSWAN_ROM_LOAD( ffant,    "final fantasy (japan).bin",                                                                 0x000000,  0x400000,	 CRC(b7243e88) SHA1(26628eb76c16880b6faf2e706778d91a60144078) )
WSWAN_ROM_LOAD( ffant2,   "final fantasy ii (japan).bin",                                                              0x000000,  0x400000,	 CRC(f09e752f) SHA1(959321e3b971516e38a4cbf95b0fc3efc0b0a825) )
WSWAN_ROM_LOAD( ffant4,   "final fantasy iv (japan).bin",                                                              0x000000,  0x400000,	 CRC(f699d6d1) SHA1(6d707e88c85d1b5ef708631e709668006a9ee244) )
WSWAN_ROM_LOAD( flapspec, "final lap special - gt & formula machine (japan).bin",                                      0x000000,  0x400000,	 CRC(b07e6a56) SHA1(4c3f092b095bdb0afdaf8d32d4c54b4d6c209c96) )
WSWAN_ROM_LOAD( flashkk,  "flash koibito-kun (japan).bin",                                                             0x000000,  0x200000,	 CRC(69d8d433) SHA1(a3d6717efdb8f243fe86b4c3d869a9734a2e02d3) )
WSWAN_ROM_LOAD( onepchop, "from tv animation one piece - chopper no daibouken (japan).bin",                            0x000000,  0x400000,	 CRC(8e120b5a) SHA1(221f48e97ec2c6d0046213956e1f36e923c0dec2) )
WSWAN_ROM_LOAD( onepbatl, "from tv animation one piece - grand battle swan colosseum (japan).bin",                     0x000000,  0x800000,	 CRC(f8a1dd2b) SHA1(01e765bf356cdcb413bfd27c6321f7449465766a) )
WSWAN_ROM_LOAD( onepniji, "from tv animation one piece - niji no shima densetsu (japan).bin",                          0x000000,  0x400000,	 CRC(427056c4) SHA1(2410690ad46667c52b63402df9e95fc8a75cee62) )
WSWAN_ROM_LOAD( oneptwar, "from tv animation one piece - treasure wars (japan).bin",                                   0x000000,  0x400000,	 CRC(205503c3) SHA1(dd1e6e5467b72fcb5848f07a9747aa66bb207d45) )
WSWAN_ROM_LOAD( oneptwr2, "from tv animation one piece - treasure wars 2 - buggy land e youkoso (japan).bin",          0x000000,  0x800000,	 CRC(0d1048f0) SHA1(b7775e8f60fd62dc07f2865f8fad29a11e12dbb5) )
WSWAN_ROM_LOAD( frontmis, "front mission (japan).bin",                                                                 0x000000,  0x800000,	 CRC(2f9e2560) SHA1(3c752694ab651f9a00ccd39c334a2e3ff78f5cb2) )
WSWAN_ROM_LOAD( crshgear, "gekitou! crash gear turbo - gear champion league (japan).bin",                              0x000000,  0x400000,	 CRC(8a8b827c) SHA1(1bc1e831b9e2aefc59f2cac5f19f7d22be574fc1) )
WSWAN_ROM_LOAD( gensouma, "gensou maden saiyuuki retribution - hi no ataru basho de (japan).bin",                      0x000000,  0x200000,	 CRC(446e2581) SHA1(adbe6e38a0bc6a2d19da64a444071977b771f14f) )
WSWAN_ROM_LOAD( gaxe,     "golden axe (japan).bin",                                                                    0x000000,  0x400000,	 CRC(bc944a98) SHA1(87661841ca63e99b04c0f6dc4ba3454c897e0c6d) )
WSWAN_ROM_LOAD( gransta,  "gransta chronicle (japan).bin",                                                             0x000000,  0x800000,	 CRC(af24f95c) SHA1(3a4c5d1c08b74cf05b4cb64cbfd7c3dd8b1c3789) )
WSWAN_ROM_LOAD( ggpetit,  "guilty gear petit (japan).bin",                                                             0x000000,  0x200000,	 CRC(9750bc2a) SHA1(6d8f8fd330f32374b55cf6b998196a7db2131073) )
WSWAN_ROM_LOAD( ggpetit2, "guilty gear petit 2 (japan).bin",                                                           0x000000,  0x400000,	 CRC(d7a12bd5) SHA1(f7aeab6724154f7ef6a389f9f18b7100045e1064) )
WSWAN_ROM_LOAD( gunpeyex, "gunpey ex (japan).bin",                                                                     0x000000,  0x100000,	 CRC(0c9cb12c) SHA1(1eb729aa9ab0a7df6f8a3470a6fede59d7622d4a) )
WSWAN_ROM_LOAD( hanjuher, "hanjuku hero - ah, sekai yo hanjuku nare...!! (japan).bin",                                 0x000000,  0x400000,	 CRC(31e09bed) SHA1(2e3f221d6965f53b29586d2019ee81dec6d1ac30) )
WSWAN_ROM_LOAD( hatachoc, "hataraku chocobo (japan).bin",                                                              0x000000,  0x100000,	 CRC(7a29e9a6) SHA1(9bd63ed48926b27be70333fbe07da2ceed56328a) )
WSWAN_ROM_LOAD( hxhgrisl, "hunter x hunter - greed island (japan).bin",                                                0x000000,  0x800000,	 CRC(a487b7a8) SHA1(f66335b5af87e7cb72ae311eb9b339534722f738) )
WSWAN_ROM_LOAD( hxhmichi, "hunter x hunter - michibikareshi mono (japan).bin",                                         0x000000,  0x400000,	 CRC(9402bca9) SHA1(bc591fc24d3f8e94b70503fd8b6a35fa58151139) )
WSWAN_ROM_LOAD( hxhsorez, "hunter x hunter - sorezore no ketsui (japan).bin",                                          0x000000,  0x400000,	 CRC(d0b20c5a) SHA1(2da2a9bcff4813abcb5b2c88095258d89a575378) )
WSWAN_ROM_LOAD( inuyfema, "inuyasha - fuuun emaki (japan).bin",                                                        0x000000,  0x400000,	 CRC(3ff5791f) SHA1(99d5bdde193685a1d09ea73bb79a54b4da82625d) )
WSWAN_ROM_LOAD( inuyksen, "inuyasha - kagome no sengoku nikki (japan).bin",                                            0x000000,  0x200000,	 CRC(0c23d551) SHA1(b4fbea1a2c50d8566685f72820b360af4b54f82f) )
WSWAN_ROM_LOAD( inuykyum, "inuyasha - kagome no yume nikki (japan).bin",                                               0x000000,  0x400000,	 CRC(44453234) SHA1(f7c8f8b6b6d036df8fc4bde72fcfac2846dffe35) )
WSWAN_ROM_LOAD( jsilver,  "judgement silversword - rebirth edition (japan) (rev 4321).bin",                            0x000000,  0x80000,	 CRC(60191872) SHA1(657aea8377e207b9b5a182b13966a27f46633640) )
WSWAN_ROM_LOAD( jsilver1, "judgement silversword - rebirth edition (japan) (rev sc21).bin",                            0x000000,  0x80000,	 CRC(4fce380d) SHA1(a1d910123b6be0b941f699ef70c745d16350d029) )
WSWAN_ROM_LOAD( gundtoku, "kidou senshi gundam - giren no yabou - tokubetsu hen - aoki hoshi no hasha (japan).bin",    0x000000,  0x400000,	 CRC(d4061551) SHA1(20b671bc14a8ab6373deecc641479d09658ac21f) )
WSWAN_ROM_LOAD( gundseed, "kidou senshi gundam seed (japan).bin",                                                      0x000000,  0x400000,	 CRC(bce15137) SHA1(e933ff8eace56a462019ae4654b0bab1b21b1d6c) )
WSWAN_ROM_LOAD( gundvol1, "kidou senshi gundam vol. 1 - side 7 (japan).bin",                                           0x000000,  0x400000,	 CRC(08c0247b) SHA1(29e72e7f96f145a0ff56e447f577310df2ec463b) )
WSWAN_ROM_LOAD( gundvol2, "kidou senshi gundam vol. 2 - jaburo (japan).bin",                                           0x000000,  0x800000,	 CRC(39a1391a) SHA1(df1a794f7e3992b1e1e9de14141b607746202202) )
WSWAN_ROM_LOAD( gundvol3, "kidou senshi gundam vol. 3 - a baoa qu (japan).bin",                                        0x000000,  0x800000,	 CRC(a9f5bf54) SHA1(35443e2ef8a20a0ad82da1274b2768c16239dd46) )
WSWAN_ROM_LOAD( kikuchou, "kinnikuman iisei - choujin seisenshi (japan).bin",                                          0x000000,  0x400000,	 CRC(6142fd9d) SHA1(efcf8f92357ffc6f6ec0e4aa960cd97a5070836e) )
WSWAN_ROM_LOAD( kikudrmt, "kinnikuman iisei - dream tag match (japan).bin",                                            0x000000,  0x200000,	 CRC(462f9275) SHA1(81dd3124cce8a1aafd423bfe0814187fb7c646cb) )
WSWAN_ROM_LOAD( kurupara, "kurupara! (japan).bin",                                                                     0x000000,  0x200000,	 CRC(274719f5) SHA1(9942d1b7d1c00126b9891e560e6a3e264f8fdc2e) )
WSWAN_ROM_LOAD( lastaliv, "last alive (japan).bin",                                                                    0x000000,  0x400000,	 CRC(da4479bf) SHA1(b019f41207e396d9fe3509dccdbe1cc6e7ac46bb) )
WSWAN_ROM_LOAD( makaitou, "makai toushi sa-ga (japan).bin",                                                            0x000000,  0x400000,	 CRC(1b6f5f30) SHA1(6b7a9b810c932974cbda4de7178cf0ea5a90e628) )
WSWAN_ROM_LOAD( mconan,   "meitantei conan - yuugure no koujo (japan).bin",                                            0x000000,  0x400000,	 CRC(9f6e3f8d) SHA1(36d8bc2ce7920d940943358d48f056f81055ab34) )
WSWAN_ROM_LOAD( memories, "memories off - festa (japan).bin",                                                          0x000000,  0x200000,	 CRC(8e123373) SHA1(f47b4ab9197999bbec351750601baa20fbbd7177) )
WSWAN_ROM_LOAD( mikeneko, "mikeneko holmes - ghost panic (japan).bin",                                                 0x000000,  0x400000,	 CRC(d75effc2) SHA1(2358701531e8a38419859cd70bf2fbbd967b6745) )
WSWAN_ROM_LOAD( mrdrillr, "mr. driller (japan).bin",                                                                   0x000000,  0x200000,	 CRC(5555d95c) SHA1(209232f1e91c05140529d466c0ef6b7ad3386de1) )
WSWAN_ROM_LOAD( suprwars, "namco super wars (japan).bin",                                                              0x000000,  0x200000,	 CRC(8ce4652f) SHA1(c48569fd0a46ab7b7ceafeb5698be90420cd4fbe) )
WSWAN_ROM_LOAD( naruto,   "naruto - konoha ninpouchou (japan).bin",                                                    0x000000,  0x400000,	 CRC(71556e6a) SHA1(dbaa50fd56e69e72fdfe49362ef5fe4437d66667) )
WSWAN_ROM_LOAD( doraemon, "pocket no naka no doraemon (japan).bin",                                                    0x000000,  0x400000,	 CRC(2b61bb2b) SHA1(57338999b949589c36ce116a30f433e9618685e4) )
WSWAN_ROM_LOAD( rakujong, "raku jongg (japan).bin",                                                                    0x000000,  0x100000,	 CRC(fe4ff701) SHA1(977d5830e45c78b9020e9d06a63a9ad6bc623745) )
WSWAN_ROM_LOAD( rhymridr, "rhyme rider kerorican (japan).bin",                                                         0x000000,  0x400000,	 CRC(60706555) SHA1(5973306a864c3804ee10b209e45067807d39a4de) )
WSWAN_ROM_LOAD( riviera,  "riviera - yakusoku no chi riviera (japan).bin",                                             0x000000,  0x800000,	 CRC(2460b45a) SHA1(a8f8d3efc9b2d5741081e05f517d746ee5437f87) )
WSWAN_ROM_LOAD( rockmnx1, "rockman exe - n1 battle (japan).bin",                                                       0x000000,  0x400000,	 CRC(1f10ca75) SHA1(9b4786adca7b83fe66a9d4b9fd4ffaf32abe7656) )
WSWAN_ROM_LOAD( rockmnex, "rockman exe ws (japan).bin",                                                                0x000000,  0x400000,	 CRC(658c4b98) SHA1(b4a3ff3b72639f27d1a6f449b0335074aeb9e603) )
WSWAN_ROM_LOAD( romnsaga, "romancing sa-ga (japan).bin",                                                               0x000000,  0x400000,	 CRC(9c98d97d) SHA1(06fcc9aad3ae478db6eed27621af4f56a6488a67) )
WSWAN_ROM_LOAD( rundim,   "run=dim - return to earth (japan).bin",                                                     0x000000,  0x200000,	 CRC(15c4552e) SHA1(3a41a3b8fc126da07e2a82c21056a45c15efbc98) )
WSWAN_ROM_LOAD( sseiya,   "saint seiya - ougon densetsu hen - perfect edition (japan).bin",                            0x000000,  0x200000,	 CRC(6e8a792d) SHA1(8542649963efe0976015759382c180b7c056be9a) )
WSWAN_ROM_LOAD( sdgunduc, "sd gundam - operation u.c. (japan).bin",                                                    0x000000,  0x200000,	 CRC(f0acda5c) SHA1(152c4d63b1b17f2c717a43efc75d718b614f9ddc) )
WSWAN_ROM_LOAD( sdgunde1, "sd gundam eiyuuden - kishi densetsu (japan).bin",                                           0x000000,  0x400000,	 CRC(c60e5162) SHA1(ebd4b37ade6df717f7b637747a4d3c45a6cca037) )
WSWAN_ROM_LOAD( sdgunde2, "sd gundam eiyuuden - musha densetsu (japan).bin",                                           0x000000,  0x400000,	 CRC(18ecffb8) SHA1(d8097e25431f0ad5183b2479ee0837599677a300) )
WSWAN_ROM_LOAD( sdgundg1, "sd gundam g-generation - gather beat 2 (japan).bin",                                        0x000000,  0x800000,	 CRC(4d21a347) SHA1(016ff46509cbfe57a7440a1755d3a41ef49c048f) )
WSWAN_ROM_LOAD( sdgundg2, "sd gundam g-generation - mono-eye gundams (japan).bin",                                     0x000000,  0x800000,	 CRC(6aca1f04) SHA1(91e087056207fce21e782e25e383c203bc046897) )
WSWAN_ROM_LOAD( senkaini, "senkaiden ni - tv animation senkaiden houshin engi yori (japan).bin",                       0x000000,  0x400000,	 CRC(9f35d00f) SHA1(df9e831842072d9af613effbee7162229849de58) )
WSWAN_ROM_LOAD( shamking, "shaman king - asu e no ishi (japan) (v1.1).bin",                                            0x000000,  0x400000,	 CRC(34908cb4) SHA1(473195666a633573c777d3be98d7e8f46569c84b) )
WSWAN_ROM_LOAD( shamking1, "shaman king - asu e no ishi (japan).bin",                                                  0x000000,  0x400000,	 CRC(6c029674) SHA1(1e735d1e83a7bfa06c5c717c7e8a386d55a8e3f0) )
WSWAN_ROM_LOAD( sorobang, "sorobang (japan).bin",                                                                      0x000000,  0x100000,	 CRC(0e467d97) SHA1(983582fe8d18839df30b6d29fb75780a9e32f4ec) )
WSWAN_ROM_LOAD( starhear, "star hearts - hoshi to daichi no shisha (japan).bin",                                       0x000000,  0x400000,	 CRC(138d1018) SHA1(2b2c2a0566646156bcdde2a00b728c5b8218aa23) )
WSWAN_ROM_LOAD( starheartai, "star hearts - hoshi to daichi no shisha - taikenban (japan).bin",                        0x000000,  0x400000,	 CRC(9874e9a2) SHA1(44940ae0140df1bd91d742a166c459df1b6c2339) )
WSWAN_ROM_LOAD( robotc3,  "super robot taisen compact 3 (japan) (v1.5).bin",                                           0x000000,  0x800000,	 CRC(6918c824) SHA1(b579f204be604ebef4e8238e5883152b70399c4d) )
WSWAN_ROM_LOAD( robotc3a, "super robot taisen compact 3 (japan) (v1.6).bin",                                          0x000000,  0x800000,	 CRC(188ca644) SHA1(dd6fe0f278cdec2670d3be8552dbb0cf6a3a2841) )
WSWAN_ROM_LOAD( robotwsc, "super robot taisen compact for wonderswan color (japan).bin",                               0x000000,  0x400000,	 CRC(16e0d929) SHA1(bf212cecbbc51ee32ee2655a072f55e7bf70b9ec) )
WSWAN_ROM_LOAD( terrors2, "terrors 2 (japan).bin",                                                                     0x000000,  0x400000,	 CRC(9bd8f08c) SHA1(9532113e14b03c95f034c015168e21273d42eff1) )
WSWAN_ROM_LOAD( tetris,   "tetris (japan).bin",                                                                        0x000000,  0x100000,	 CRC(7b0caea9) SHA1(1a86403d7896d60fcb7a4c09367f5a976c7ea5a5) )
WSWAN_ROM_LOAD( tonpuuso, "tonpuusou (japan).bin",                                                                     0x000000,  0x100000,	 CRC(47659b2c) SHA1(fb53c28bd48174d3829467f1ab81d3f87f9a7f5b) )
WSWAN_ROM_LOAD( uchuusen, "uchuu senkan yamato (japan).bin",                                                           0x000000,  0x400000,	 CRC(5793bdda) SHA1(dd1878279a6667fb66dd1ac44a2cdb9a5acbe415) )
WSWAN_ROM_LOAD( ultraman, "ultraman - hikari no kuni no shisha (japan).bin",                                           0x000000,  0x200000,	 CRC(de2208ab) SHA1(bd107befe5ce6c5508d2da8be351b9984166ae1d) )
WSWAN_ROM_LOAD( wildcard, "wild card (japan).bin",                                                                     0x000000,  0x200000,	 CRC(d9401f0a) SHA1(ea878a485a20abd5251065fd66e82d9d8b8a669d) )
WSWAN_ROM_LOAD( withyou,  "with you - mitsumete itai (japan).bin",                                                     0x000000,  0x400000,	 CRC(e14e9d36) SHA1(6a4f4a03c367ccf00aa7462191c929a2736eb44b) )
WSWAN_ROM_LOAD( wizardry, "wizardry scenario 1 - proving grounds of the mad overlord (japan).bin",                     0x000000,  0x200000,	 CRC(15e55706) SHA1(c1ad383d337dba8a63295cfb8c7ca8470c893c67) )
WSWAN_ROM_LOAD( wclassic, "wonder classic (japan).bin",                                                                0x000000,  0x400000,	 CRC(12f10b27) SHA1(55b54944efd6e277fa7140925ed2457a8cfb40b8) )
WSWAN_ROM_LOAD( xcard,    "x - card of fate (japan).bin",                                                              0x000000,  0x400000,	 CRC(66b617d5) SHA1(c1ab4e24f261615ca59f937b866fcf7047b67796) )
WSWAN_ROM_LOAD( xilittle, "xi little (japan).bin",                                                                     0x000000,  0x200000,	 CRC(25e2ba75) SHA1(97c29917a78918a6905fd61a1466971cfd2a33c6) )


SOFTWARE_LIST_START( wswan_cart )
	SOFTWARE( anchorz,   0,        19??, "<unknown>", "Anchorz Field (Jpn)", 0, 0 )
	SOFTWARE( armrunit,  0,        19??, "<unknown>", "Armored Unit (Jpn)", 0, 0 )
	SOFTWARE( bakusoud,  0,        19??, "<unknown>", "Bakusou Dekotora Densetsu for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( bemaniws,  0,        19??, "<unknown>", "Beatmania for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( buffers,   0,        19??, "<unknown>", "Buffers Evolution (Jpn)", 0, 0 )
	SOFTWARE( ccsakura,  0,        19??, "<unknown>", "Cardcaptor Sakura - Sakura to Fushigi na Clow Card (Jpn)", 0, 0 )
	SOFTWARE( chaosgea,  0,        19??, "<unknown>", "Chaos Gear - Michibikareshi Mono (Jpn)", 0, 0 )
	SOFTWARE( chocodun,  0,        19??, "<unknown>", "Chocobo no Fushigi na Dungeon for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( chouanik,  0,        19??, "<unknown>", "Chou Aniki - Otoko no Tamafuda (Jpn)", 0, 0 )
	SOFTWARE( choudenk,  0,        19??, "<unknown>", "Chou Denki Card Game - Youfu Makai - Kikuchi Shuukou (Jpn)", 0, 0 )
	SOFTWARE( clocktow,  0,        19??, "<unknown>", "Clock Tower for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( cclimber,  0,        19??, "<unknown>", "Crazy Climber (Jpn)", 0, 0 )
	SOFTWARE( dsgarage,  0,        19??, "<unknown>", "D's Garage 21 Koubo Game - Tane o Maku Tori (Jpn)", 0, 0 )
	SOFTWARE( denshadg,  0,        19??, "<unknown>", "Densha de Go! (Jpn)", 0, 0 )
	SOFTWARE( denshad2,  0,        19??, "<unknown>", "Densha de Go! 2 (Jpn)", 0, 0 )
	SOFTWARE( digimon1,  digimon,  19??, "<unknown>", "Digimon - Ver. WonderSwan (Asia)", 0, 0 )
	SOFTWARE( digianod,  0,        19??, "<unknown>", "Digimon Adventure - Anode Tamer (Jpn)", 0, 0 )
	SOFTWARE( digicatd,  0,        19??, "<unknown>", "Digimon Adventure - Cathode Tamer (Jpn)", 0, 0 )
	SOFTWARE( digi2tag,  0,        19??, "<unknown>", "Digimon Adventure 02 - Tag Tamers (Jpn)", 0, 0 )
	SOFTWARE( digimon,   0,        19??, "<unknown>", "Digital Monster - Ver. WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( digipart,  0,        19??, "<unknown>", "Digital Partner (Jpn)", 0, 0 )
	SOFTWARE( dokodemo,  0,        19??, "<unknown>", "Dokodemo Hamster (Jpn)", 0, 0 )
	SOFTWARE( engacho,   0,        19??, "<unknown>", "Engacho! for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( feversan,  0,        19??, "<unknown>", "Fever - Sankyo Koushiki Pachinko Simulation for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( flap2000,  0,        19??, "<unknown>", "Final Lap 2000 (Jpn)", 0, 0 )
	SOFTWARE( fprowres,  0,        19??, "<unknown>", "Fire Pro Wrestling for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( fishingf,  0,        19??, "<unknown>", "Fishing Freaks - Bass Rise for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( onepmeza,  0,        19??, "<unknown>", "From TV Animation One Piece - Mezase Kaizoku Ou! (Jpn)", 0, 0 )
	SOFTWARE( gjajamar,  0,        19??, "<unknown>", "Ganso Jajamaru-kun (Jpn)", 0, 0 )
	SOFTWARE( glochex,   0,        19??, "<unknown>", "Glocal Hexcite (Jpn)", 0, 0 )
	SOFTWARE( gomokuna,  0,        19??, "<unknown>", "Gomoku Narabe & Reversi - Touryuumon (Jpn)", 0, 0 )
	SOFTWARE( gorakuta,  0,        19??, "<unknown>", "Goraku Ou Tango! (Jpn)", 0, 0 )
	SOFTWARE( gunpey,    0,        19??, "<unknown>", "GunPey (Jpn)", 0, 0 )
	SOFTWARE( hanafuda,  0,        19??, "<unknown>", "Hanafuda Shiyouyo (Jpn)", 0, 0 )
	SOFTWARE( harobots,  0,        19??, "<unknown>", "Harobots (Jpn)", 0, 0 )
	SOFTWARE( hxhishi,   0,        19??, "<unknown>", "Hunter X Hunter - Ishi o Tsugu Mono (Jpn)", 0, 0 )
	SOFTWARE( itoujunj,  0,        19??, "<unknown>", "Itou Junji Uzumaki - Noroi Simulation (Jpn)", 0, 0 )
	SOFTWARE( kakutour,  0,        19??, "<unknown>", "Kakutou Ryouri Densetsu Bistro Recipe - Wonder Battle Hen (Jpn)", 0, 0 )
	SOFTWARE( klonoa,    0,        19??, "<unknown>", "Kaze no Klonoa - Moonlight Museum (Jpn)", 0, 0 )
	SOFTWARE( keibayos,  0,        19??, "<unknown>", "Keiba Yosou Shien Soft - Yosou Shinkaron (Jpn)", 0, 0 )
	SOFTWARE( kissyori,  0,        19??, "<unknown>", "Kiss Yori... - Seaside Serenade (Jpn)", 0, 0 )
	SOFTWARE( kosodate,  0,        19??, "<unknown>", "Kosodate Quiz Dokodemo - My Angel (Jpn)", 0, 0 )
	SOFTWARE( kyousoub,  0,        19??, "<unknown>", "Kyousouba Ikusei Simulation - Keiba (Jpn)", 0, 0 )
	SOFTWARE( langriss,  0,        19??, "<unknown>", "Langrisser Millennium WS - The Last Century (Jpn)", 0, 0 )
	SOFTWARE( laststnd,  0,        19??, "<unknown>", "Last Stand (Jpn)", 0, 0 )
	SOFTWARE( loderun,   0,        19??, "<unknown>", "Lode Runner for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( macross,   0,        19??, "<unknown>", "Macross - True Love Song (Jpn)", 0, 0 )
	SOFTWARE( magdrop,   0,        19??, "<unknown>", "Magical Drop for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( mahjongt,  0,        19??, "<unknown>", "Mahjong Touryuumon (Jpn)", 0, 0 )
	SOFTWARE( makai,     0,        19??, "<unknown>", "Makaimura for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( medpkabu,  0,        19??, "<unknown>", "Medarot Perfect Edition - Kabuto Version (Jpn)", 0, 0 )
	SOFTWARE( medpkuwa,  0,        19??, "<unknown>", "Medarot Perfect Edition - Kuwagata Version (Jpn)", 0, 0 )
	SOFTWARE( mconan1,   0,        19??, "<unknown>", "Meitantei Conan - Majutsushi no Chousenjou! (Jpn)", 0, 0 )
	SOFTWARE( mconan2,   0,        19??, "<unknown>", "Meitantei Conan - Nishi no Meitantei Saidai no Kiki! (Jpn)", 0, 0 )
	SOFTWARE( mtherapy,  0,        19??, "<unknown>", "Metakomi Theraphy - Nee Kiite! (Jpn)", 0, 0 )
	SOFTWARE( mingmagn,  0,        19??, "<unknown>", "Mingle Magnet (Jpn)", 0, 0 )
	SOFTWARE( gundmsvs,  0,        19??, "<unknown>", "Mobile Suit Gundam MSVS (Jpn)", 0, 0 )
	SOFTWARE( mobilewg,  0,        19??, "<unknown>", "MobileWonderGate (Jpn)", 0, 0 )
	SOFTWARE( moeropro,  0,        19??, "<unknown>", "Moero!! Pro Yakyuu Rookies (Jpn)", 0, 0 )
	SOFTWARE( moritash,  0,        19??, "<unknown>", "Morita Shougi for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( nazoou,    0,        19??, "<unknown>", "Nazo Ou Pocket (Jpn)", 0, 0 )
	SOFTWARE( evangeln,  0,        19??, "<unknown>", "Neon Genesis Evangelion - Shito Ikusei (Jpn)", 0, 0 )
	SOFTWARE( niceon,    0,        19??, "<unknown>", "Nice On (Jpn)", 0, 0 )
	SOFTWARE( mjtetsu,   0,        19??, "<unknown>", "Nippon Pro Mahjong Renmei Kounin Tetsuman (Jpn)", 0, 0 )
	SOFTWARE( nobunaga,  0,        19??, "<unknown>", "Nobunaga no Yabou for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( oekakil,   0,        19??, "<unknown>", "Ou-chan no Oekaki Logic (Jpn)", 0, 0 )
	SOFTWARE( pocketfi,  0,        19??, "<unknown>", "Pocket Fighter (Jpn)", 0, 0 )
	SOFTWARE( mjkiwame,  0,        19??, "<unknown>", "Pro Mahjong Kiwame for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( puyopuyo,  0,        19??, "<unknown>", "Puyo Puyo Tsuu (Jpn)", 0, 0 )
	SOFTWARE( pbobble,   0,        19??, "<unknown>", "Puzzle Bobble (Jpn)", 0, 0 )
	SOFTWARE( rainbow,   0,        19??, "<unknown>", "Rainbow Islands - Putty's Party (Jpn)", 0, 0 )
	SOFTWARE( ring,      0,        19??, "<unknown>", "Ring Infinity (Jpn)", 0, 0 )
	SOFTWARE( robworks1, robworks, 19??, "<unknown>", "Robot Works (Asia)", 0, 0 )
	SOFTWARE( robworks,  0,        19??, "<unknown>", "Robot Works (Jpn)", 0, 0 )
	SOFTWARE( rockmanf,  0,        19??, "<unknown>", "Rockman & Forte - Mirai Kara no Chousensha (Jpn)", 0, 0 )
	SOFTWARE( sangoku,   0,        19??, "<unknown>", "San Goku Shi for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( sangoku2,  0,        19??, "<unknown>", "San Goku Shi II for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( sdgundem,  0,        19??, "<unknown>", "SD Gundam - Emotional Jam (Jpn)", 0, 0 )
	SOFTWARE( sdgundgg,  0,        19??, "<unknown>", "SD Gundam G-Generation - Gather Beat (Jpn)", 0, 0 )
	SOFTWARE( sdgundga,  0,        19??, "<unknown>", "SD Gundam Gashapon Senki - Episode 1 (Jpn)", 0, 0 )
	SOFTWARE( senkai,    0,        19??, "<unknown>", "Senkaiden - TV Animation Senkaiden Houshin Engi Yori (Jpn)", 0, 0 )
	SOFTWARE( sennoumi,  0,        19??, "<unknown>", "Sennou Millennium (Jpn)", 0, 0 )
	SOFTWARE( shanghai,  0,        19??, "<unknown>", "Shanghai Pocket (Jpn)", 0, 0 )
	SOFTWARE( shinpwre,  0,        19??, "<unknown>", "Shin Nippon Pro Wrestling Toukon Retsuden (Jpn)", 0, 0 )
	SOFTWARE( shougito,  0,        19??, "<unknown>", "Shougi Touryuumon (Jpn)", 0, 0 )
	SOFTWARE( sidepock,  0,        19??, "<unknown>", "Side Pocket for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( slitherl,  0,        19??, "<unknown>", "Slither Link (Jpn)", 0, 0 )
	SOFTWARE( soccerya,  0,        19??, "<unknown>", "Soccer Yarou! - Challenge the World (Jpn)", 0, 0 )
	SOFTWARE( sotsugyo,  0,        19??, "<unknown>", "Sotsugyou for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( spaceinv,  0,        19??, "<unknown>", "Space Invaders (Jpn)", 0, 0 )
	SOFTWARE( robotws,   0,        19??, "<unknown>", "Super Robot Taisen Compact (Jpn)", 0, 0 )
	SOFTWARE( robotc2a,  0,        19??, "<unknown>", "Super Robot Taisen Compact 2 - Dai-1-bu - Chijou Gekidou Hen (Jpn)", 0, 0 )
	SOFTWARE( robotc2b,  0,        19??, "<unknown>", "Super Robot Taisen Compact 2 - Dai-2-bu - Uchuu Gekishin Hen (Jpn)", 0, 0 )
	SOFTWARE( robotc2c,  0,        19??, "<unknown>", "Super Robot Taisen Compact 2 - Dai-3-bu - Ginga Kessen Hen (Jpn)", 0, 0 )
	SOFTWARE( taikyigo,  0,        19??, "<unknown>", "Taikyoku Igo - Heisei Kiin (Jpn)", 0, 0 )
	SOFTWARE( tanjoude,  0,        19??, "<unknown>", "Tanjou Debut for WonderSwan (Jpn)", 0, 0 )
	SOFTWARE( tpgunpey,  0,        19??, "<unknown>", "Tare Panda no GunPey (Jpn)", 0, 0 )
	SOFTWARE( tekkncrd,  0,        19??, "<unknown>", "Tekken Card Challenge (Jpn)", 0, 0 )
	SOFTWARE( terrors,   0,        19??, "<unknown>", "Terrors (Jpn)", 0, 0 )
	SOFTWARE( tetsu28g,  0,        19??, "<unknown>", "Tetsujin 28 Gou (Jpn)", 0, 0 )
	SOFTWARE( timeboka,  0,        19??, "<unknown>", "Time Bokan Series - Bokan Densetsu - Butamo Odaterya Doronbou (Jpn)", 0, 0 )
	SOFTWARE( tokyomg,   0,        19??, "<unknown>", "Tokyo Majin Gakuen - Fuju Houroku (Jpn)", 0, 0 )
	SOFTWARE( trumpcol,  0,        19??, "<unknown>", "Trump Collection - Bottom-Up Teki Trump Seikatsu (Jpn)", 0, 0 )
	SOFTWARE( trumpcl2,  0,        19??, "<unknown>", "Trump Collection 2 - Bottom-Up Teki Sekaiisshuu no Tabi (Jpn)", 0, 0 )
	SOFTWARE( turntabl,  0,        19??, "<unknown>", "Turntablist - DJ Battle (Jpn)", 0, 0 )
	SOFTWARE( umizuri,   0,        19??, "<unknown>", "Umizuri ni Ikou! (Jpn)", 0, 0 )
	SOFTWARE( uzumaki,   0,        19??, "<unknown>", "Uzumaki - Denshi Kaiki Hen (Jpn)", 0, 0 )
	SOFTWARE( vaitzbla,  0,        19??, "<unknown>", "Vaitz Blade (Jpn)", 0, 0 )
	SOFTWARE( streetdn,  0,        19??, "<unknown>", "Wasabi Produce - Street Dancer (Jpn)", 0, 0 )
	SOFTWARE( wstad99,   0,        19??, "<unknown>", "Wonder Stadium '99 (Jpn)", 0, 0 )
	SOFTWARE( wstadium,  0,        19??, "<unknown>", "Wonder Stadium (Jpn)", 0, 0 )
	SOFTWARE( handsonr,  0,        19??, "<unknown>", "WonderSwan Handy Sonar (Jpn)", 0, 0 )
SOFTWARE_LIST_END

SOFTWARE_LIST_START( wscolor_cart )
	SOFTWARE( anotherh,    0,        19??, "<unknown>", "Another Heaven - Memory of those Days (Jpn)", 0, 0 )
	SOFTWARE( arclad,      0,        19??, "<unknown>", "Arc the Lad - Kishin Fukkatsu (Jpn)", 0, 0 )
	SOFTWARE( battlesp,    0,        19??, "<unknown>", "Battle Spirit - Digimon Frontier (Jpn)", 0, 0 )
	SOFTWARE( bluewing,    0,        19??, "<unknown>", "Blue Wing Blitz (Jpn)", 0, 0 )
	SOFTWARE( darkeyes,    0,        19??, "<unknown>", "Dark Eyes - Battle Gate (Jpn)", 0, 0 )
	SOFTWARE( dicing,      0,        19??, "<unknown>", "Dicing Knight. (Jpn)", 0, 0 )
	SOFTWARE( digianca,    0,        19??, "<unknown>", "Digimon - Anode Tamer & Cathode Tamer (Asia)", 0, 0 )
	SOFTWARE( digi2d1,     0,        19??, "<unknown>", "Digimon Adventure 02 - D1 Tamers (Jpn)", 0, 0 )
	SOFTWARE( digitbs1,    0,        19??, "<unknown>", "Digimon Tamers - Battle Spirit (Jpn)", 0, 0 )
	SOFTWARE( digitbs,     0,        19??, "<unknown>", "Digimon Tamers - Battle Spirit Ver. 1.5 (Jpn)", 0, 0 )
	SOFTWARE( digitbt,     0,        19??, "<unknown>", "Digimon Tamers - Brave Tamer (Jpn)", 0, 0 )
	SOFTWARE( digitmed,    0,        19??, "<unknown>", "Digimon Tamers - Digimon Medley (Jpn)", 0, 0 )
	SOFTWARE( digimdp,     0,        19??, "<unknown>", "Digital Monster - D-Project (Jpn)", 0, 0 )
	SOFTWARE( digicard,    0,        19??, "<unknown>", "Digital Monster Card Game - Ver. WonderSwan Color (Jpn)", 0, 0 )
	SOFTWARE( dokodem3,    0,        19??, "<unknown>", "Dokodemo Hamster 3 - Odekake Saffron (Jpn)", 0, 0 )
	SOFTWARE( dragball,    0,        19??, "<unknown>", "Dragon Ball (Jpn)", 0, 0 )
	SOFTWARE( ffant,       0,        19??, "<unknown>", "Final Fantasy (Jpn)", 0, 0 )
	SOFTWARE( ffant2,      0,        19??, "<unknown>", "Final Fantasy II (Jpn)", 0, 0 )
	SOFTWARE( ffant4,      0,        19??, "<unknown>", "Final Fantasy IV (Jpn)", 0, 0 )
	SOFTWARE( flapspec,    0,        19??, "<unknown>", "Final Lap Special - GT & Formula Machine (Jpn)", 0, 0 )
	SOFTWARE( flashkk,     0,        19??, "<unknown>", "Flash Koibito-kun (Jpn)", 0, 0 )
	SOFTWARE( onepchop,    0,        19??, "<unknown>", "From TV Animation One Piece - Chopper no Daibouken (Jpn)", 0, 0 )
	SOFTWARE( onepbatl,    0,        19??, "<unknown>", "From TV Animation One Piece - Grand Battle Swan Colosseum (Jpn)", 0, 0 )
	SOFTWARE( onepniji,    0,        19??, "<unknown>", "From TV Animation One Piece - Niji no Shima Densetsu (Jpn)", 0, 0 )
	SOFTWARE( oneptwar,    0,        19??, "<unknown>", "From TV Animation One Piece - Treasure Wars (Jpn)", 0, 0 )
	SOFTWARE( oneptwr2,    0,        19??, "<unknown>", "From TV Animation One Piece - Treasure Wars 2 - Buggy Land e Youkoso (Jpn)", 0, 0 )
	SOFTWARE( frontmis,    0,        19??, "<unknown>", "Front Mission (Jpn)", 0, 0 )
	SOFTWARE( crshgear,    0,        19??, "<unknown>", "Gekitou! Crash Gear Turbo - Gear Champion League (Jpn)", 0, 0 )
	SOFTWARE( gensouma,    0,        19??, "<unknown>", "Gensou Maden Saiyuuki Retribution - Hi no Ataru Basho de (Jpn)", 0, 0 )
	SOFTWARE( gaxe,        0,        19??, "<unknown>", "Golden Axe (Jpn)", 0, 0 )
	SOFTWARE( gransta,     0,        19??, "<unknown>", "Gransta Chronicle (Jpn)", 0, 0 )
	SOFTWARE( ggpetit,     0,        19??, "<unknown>", "Guilty Gear Petit (Jpn)", 0, 0 )
	SOFTWARE( ggpetit2,    0,        19??, "<unknown>", "Guilty Gear Petit 2 (Jpn)", 0, 0 )
	SOFTWARE( gunpeyex,    0,        19??, "<unknown>", "GunPey EX (Jpn)", 0, 0 )
	SOFTWARE( hanjuher,    0,        19??, "<unknown>", "Hanjuku Hero - Ah, Sekai yo Hanjuku Nare...!! (Jpn)", 0, 0 )
	SOFTWARE( hatachoc,    0,        19??, "<unknown>", "Hataraku Chocobo (Jpn)", 0, 0 )
	SOFTWARE( hxhgrisl,    0,        19??, "<unknown>", "Hunter X Hunter - Greed Island (Jpn)", 0, 0 )
	SOFTWARE( hxhmichi,    0,        19??, "<unknown>", "Hunter X Hunter - Michibikareshi Mono (Jpn)", 0, 0 )
	SOFTWARE( hxhsorez,    0,        19??, "<unknown>", "Hunter X Hunter - Sorezore no Ketsui (Jpn)", 0, 0 )
	SOFTWARE( inuyfema,    0,        19??, "<unknown>", "Inuyasha - Fuuun Emaki (Jpn)", 0, 0 )
	SOFTWARE( inuyksen,    0,        19??, "<unknown>", "Inuyasha - Kagome no Sengoku Nikki (Jpn)", 0, 0 )
	SOFTWARE( inuykyum,    0,        19??, "<unknown>", "Inuyasha - Kagome no Yume Nikki (Jpn)", 0, 0 )
	SOFTWARE( jsilver,     0,        19??, "<unknown>", "Judgement Silversword - Rebirth Edition (Jpn, Rev. 4321)", 0, 0 )
	SOFTWARE( jsilver1,    jsilver,  19??, "<unknown>", "Judgement Silversword - Rebirth Edition (Jpn, Rev. SC21)", 0, 0 )
	SOFTWARE( gundtoku,    0,        19??, "<unknown>", "Kidou Senshi Gundam - Giren no Yabou - Tokubetsu Hen - Aoki Hoshi no Hasha (Jpn)", 0, 0 )
	SOFTWARE( gundseed,    0,        19??, "<unknown>", "Kidou Senshi Gundam Seed (Jpn)", 0, 0 )
	SOFTWARE( gundvol1,    0,        19??, "<unknown>", "Kidou Senshi Gundam Vol. 1 - Side 7 (Jpn)", 0, 0 )
	SOFTWARE( gundvol2,    0,        19??, "<unknown>", "Kidou Senshi Gundam Vol. 2 - Jaburo (Jpn)", 0, 0 )
	SOFTWARE( gundvol3,    0,        19??, "<unknown>", "Kidou Senshi Gundam Vol. 3 - A Baoa Qu (Jpn)", 0, 0 )
	SOFTWARE( kikuchou,    0,        19??, "<unknown>", "Kinnikuman IIsei - Choujin Seisenshi (Jpn)", 0, 0 )
	SOFTWARE( kikudrmt,    0,        19??, "<unknown>", "Kinnikuman IIsei - Dream Tag Match (Jpn)", 0, 0 )
	SOFTWARE( kurupara,    0,        19??, "<unknown>", "Kurupara! (Jpn)", 0, 0 )
	SOFTWARE( lastaliv,    0,        19??, "<unknown>", "Last Alive (Jpn)", 0, 0 )
	SOFTWARE( makaitou,    0,        19??, "<unknown>", "Makai Toushi Sa-Ga (Jpn)", 0, 0 )
	SOFTWARE( mconan,      0,        19??, "<unknown>", "Meitantei Conan - Yuugure no Koujo (Jpn)", 0, 0 )
	SOFTWARE( memories,    0,        19??, "<unknown>", "Memories Off - Festa (Jpn)", 0, 0 )
	SOFTWARE( mikeneko,    0,        19??, "<unknown>", "Mikeneko Holmes - Ghost Panic (Jpn)", 0, 0 )
	SOFTWARE( mrdrillr,    0,        19??, "<unknown>", "Mr. Driller (Jpn)", 0, 0 )
	SOFTWARE( suprwars,    0,        19??, "<unknown>", "Namco Super Wars (Jpn)", 0, 0 )
	SOFTWARE( naruto,      0,        19??, "<unknown>", "Naruto - Konoha Ninpouchou (Jpn)", 0, 0 )
	SOFTWARE( doraemon,    0,        19??, "<unknown>", "Pocket no Naka no Doraemon (Jpn)", 0, 0 )
	SOFTWARE( rakujong,    0,        19??, "<unknown>", "Raku Jongg (Jpn)", 0, 0 )
	SOFTWARE( rhymridr,    0,        19??, "<unknown>", "Rhyme Rider Kerorican (Jpn)", 0, 0 )
	SOFTWARE( riviera,     0,        19??, "<unknown>", "Riviera - Yakusoku no Chi Riviera (Jpn)", 0, 0 )
	SOFTWARE( rockmnx1,    0,        19??, "<unknown>", "Rockman EXE - N1 Battle (Jpn)", 0, 0 )
	SOFTWARE( rockmnex,    0,        19??, "<unknown>", "Rockman EXE WS (Jpn)", 0, 0 )
	SOFTWARE( romnsaga,    0,        19??, "<unknown>", "Romancing Sa-Ga (Jpn)", 0, 0 )
	SOFTWARE( rundim,      0,        19??, "<unknown>", "RUN=DIM - Return to Earth (Jpn)", 0, 0 )
	SOFTWARE( sseiya,      0,        19??, "<unknown>", "Saint Seiya - Ougon Densetsu Hen - Perfect Edition (Jpn)", 0, 0 )
	SOFTWARE( sdgunduc,    0,        19??, "<unknown>", "SD Gundam - Operation U.C. (Jpn)", 0, 0 )
	SOFTWARE( sdgunde1,    0,        19??, "<unknown>", "SD Gundam Eiyuuden - Kishi Densetsu (Jpn)", 0, 0 )
	SOFTWARE( sdgunde2,    0,        19??, "<unknown>", "SD Gundam Eiyuuden - Musha Densetsu (Jpn)", 0, 0 )
	SOFTWARE( sdgundg1,    0,        19??, "<unknown>", "SD Gundam G-Generation - Gather Beat 2 (Jpn)", 0, 0 )
	SOFTWARE( sdgundg2,    0,        19??, "<unknown>", "SD Gundam G-Generation - Mono-Eye Gundams (Jpn)", 0, 0 )
	SOFTWARE( senkaini,    0,        19??, "<unknown>", "Senkaiden Ni - TV Animation Senkaiden Houshin Engi Yori (Jpn)", 0, 0 )
	SOFTWARE( shamking,    0,        19??, "<unknown>", "Shaman King - Asu e no Ishi (Jpn, v1.1)", 0, 0 )
	SOFTWARE( shamking1,   shamking, 19??, "<unknown>", "Shaman King - Asu e no Ishi (Jpn)", 0, 0 )
	SOFTWARE( sorobang,    0,        19??, "<unknown>", "Sorobang (Jpn)", 0, 0 )
	SOFTWARE( starhear,    0,        19??, "<unknown>", "Star Hearts - Hoshi to Daichi no Shisha (Jpn)", 0, 0 )
	SOFTWARE( starheartai, starhear, 19??, "<unknown>", "Star Hearts - Hoshi to Daichi no Shisha - Taikenban (Jpn)", 0, 0 )
	SOFTWARE( robotc3,     0,        19??, "<unknown>", "Super Robot Taisen Compact 3 (Jpn, v1.5)", 0, 0 )
	SOFTWARE( robotc3a,    robotc3,  19??, "<unknown>", "Super Robot Taisen Compact 3 (Jpn, v1.6)", 0, 0 )
	SOFTWARE( robotwsc,    0,        19??, "<unknown>", "Super Robot Taisen Compact for WonderSwan Color (Jpn)", 0, 0 )
	SOFTWARE( terrors2,    0,        19??, "<unknown>", "Terrors 2 (Jpn)", 0, 0 )
	SOFTWARE( tetris,      0,        19??, "<unknown>", "Tetris (Jpn)", 0, 0 )
	SOFTWARE( tonpuuso,    0,        19??, "<unknown>", "Tonpuusou (Jpn)", 0, 0 )
	SOFTWARE( uchuusen,    0,        19??, "<unknown>", "Uchuu Senkan Yamato (Jpn)", 0, 0 )
	SOFTWARE( ultraman,    0,        19??, "<unknown>", "Ultraman - Hikari no Kuni no Shisha (Jpn)", 0, 0 )
	SOFTWARE( wildcard,    0,        19??, "<unknown>", "Wild Card (Jpn)", 0, 0 )
	SOFTWARE( withyou,     0,        19??, "<unknown>", "With You - Mitsumete Itai (Jpn)", 0, 0 )
	SOFTWARE( wizardry,    0,        19??, "<unknown>", "Wizardry Scenario 1 - Proving Grounds of the Mad Overlord (Jpn)", 0, 0 )
	SOFTWARE( wclassic,    0,        19??, "<unknown>", "Wonder Classic (Jpn)", 0, 0 )
	SOFTWARE( xcard,       0,        19??, "<unknown>", "X - Card of Fate (Jpn)", 0, 0 )
	SOFTWARE( xilittle,    0,        19??, "<unknown>", "XI Little (Jpn)", 0, 0 )
SOFTWARE_LIST_END


SOFTWARE_LIST( wswan_cart, "Bandai WonderSwan cartridges" )
SOFTWARE_LIST( wscolor_cart, "Bandai WonderSwan Color cartridges" )
